#include <iostream>
using namespace std;
int calculate(int x[101],int n){	//calculate the max length of the positive subsequence in sequence x[]
	int count=0;		
	int maxCount=0; 	//subsquence with max count 

	for(int i=1;i<=n;i++){	 //count the continuous positive numbers of subsequence starting from x[i]	
		if(x[i]>0){			//if x[i]>0, add up the count of positive numbers
			count=count+1;
			if(maxCount<count){
		  		maxCount=count;
			}
		}
		else{				//not positive number 
			if(maxCount<count){
		  		maxCount=count;
			}
			count=0;
		}

	}
	return maxCount;
}

int main(){
	int n;
	int x[101]={0};
	cin>>n;
	cin>>x[0];
	for (int i=1;i<=n;i++){
		cin>>x[i];
	}
	int longCount=0;
	int change=1;	
	
	for(int i=1;i<=n;i++){
		int temp=x[i];
		x[i]=x[0];			//try to replace x[i] with x[0] and see if it has longer positive subsequence
		int count=calculate(x,n);
		if(count>longCount){
			change=i;
			longCount=count;
		}
		x[i]=temp;
	}

	cout<<change<<" "<<longCount;
}
