#include<iostream>
using namespace std;
int main() {
	int n = 0;
	cin >> n;
	// declare an array to keep the data
	// scoreBoard[i][0] is the number of games won by starting lineup i
	// scoreBoard[i][1] is the number of games start with starting lineup i
	int scoreBoard[21][2] = {0};
	
	// get all the input
	for(int i = 0; i < n; i++) {
		int lineId = 0;
		cin>>lineId;
		lineId--;
		bool result=false;
		cin >> result;
		if(result) {
			scoreBoard[lineId][0]++;
		}
		scoreBoard[lineId][1]++;
	}
	
	// compute the winning probabilities of each lineup, and compare to the current highest
	float maxWinRate = -1.0;
	int maxId=-1;
	for(int i = 0; i < 21; i++) {
		if(scoreBoard[i][1]!=0) {
			float winRate = static_cast <float> (scoreBoard[i][0]) / scoreBoard[i][1];
			if(winRate > maxWinRate) {
				maxWinRate = winRate;
				maxId=i;
			}
		} else {
			if(0.0 > maxWinRate) {
				maxWinRate = 0.0;
				maxId=i;
			}
		}
	}
	
	// output the result
	cout<<maxId+1<<" "<<scoreBoard[maxId][0]<<" "<<scoreBoard[maxId][1]-scoreBoard[maxId][0]<<"\n";
	return 0;
}
