#include<iostream>
using namespace std;
int power(int a, int b);
int main() {
	int n = 0;
	cin >> n;
	// Though there are 21 possible starting lineup, I declare the array with length 112 to save some coding time.
	// The index of lineup without player i and player j is 2^i+2^j. So the max index is 2^5+2^6=32+64=96
	// store the input in the rules mentioned above
	int scoreBoard[97][2] = {0};
	for(int i = 0; i < n; i++) {
		int combination = 0;
		for(int j = 0; j < 7; j++) {
			int x = 0;
			cin >> x;
			if(x == 0) {
				combination += power(2, j);
			}
		}
		bool result=false;
		cin >> result;
		if(result) {
			scoreBoard[combination][0]++;
		}
		scoreBoard[combination][1]++;
	}
	
	// get the lineup with max winning probability
	int maxComb=-1;
	float minWinRate = -1.0;
	int finalComb[2] = {-1, -1};
	for(int i = 6; i >= 0; i--) {
		for(int j = i-1; j >= 0; j--) {
			int combination = power(2, i) + power(2, j);
			if(scoreBoard[combination][1]!=0) {
				float winRate = static_cast <float> (scoreBoard[combination][0]) / scoreBoard[combination][1];
				if(winRate > minWinRate) {
					minWinRate = winRate;
					maxComb=combination;
					finalComb[0] = i;
					finalComb[1] = j;
				}
			} else {
				if(0.0 > minWinRate) {
					maxComb=combination;
					minWinRate = 0.0;
					finalComb[0] = i;
					finalComb[1] = j;
				}
			}
		}
	}
	
	// output the result
	for(int j = 0; j < 7; j++) {
		bool start = true;
		for(int k = 0; k < 2; k++) {
			if(j == finalComb[k]) {
				start = false;
			}
		}
		if(start) {
			cout << j+1 << " ";
		}
	}
	cout << scoreBoard[maxComb][0] <<" " << scoreBoard[maxComb][1]-scoreBoard[maxComb][0]<<"\n";
		
	return 0;
}

int power(int a, int b) {
	int result=1;
	for(int i=0; i<b; i++) {
		result*=a;
	}
	return result;
}
